/*******************************************************************************
 * Copyright 2013 2Fi Business Solutions Ltd.
 *
 * This code is part of the PCS project.
 *
 * This code is copyrighted. Under no circumstances should any party, people,
 * or organization should redistribute any portions of this code in any form,
 * either verbatim or through electronic media, to any third parties, unless
 * under explicit written permission by 2Fi Business Solutions Ltd.
 ******************************************************************************/
package com.ffii.tbms.user;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

@Entity
@Table(name = "groups")
public class Group extends BaseEntity<Integer> {

	private static final long serialVersionUID = -2953359601975739303L;

	@Column(columnDefinition = "varchar(50)", nullable = false)
	private String name;

	@Column(columnDefinition = "varchar(255)")
	private String description;

	/** Default constructor */
	public Group() {

	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

}